SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL';

DROP SCHEMA IF EXISTS `w4jarticle` ;
CREATE SCHEMA IF NOT EXISTS `w4jarticle` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ;
USE `w4jarticle` ;

-- -----------------------------------------------------
-- Table `Contact`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `Contact` ;

CREATE  TABLE IF NOT EXISTS `Contact` (
  `Id` INT NOT NULL AUTO_INCREMENT ,
  `FirstName` VARCHAR(50) NOT NULL ,
  `LastName` VARCHAR(50) NOT NULL ,
  `WorkPhone` VARCHAR(20) NULL ,
  `MobilePhone` VARCHAR(20) NULL ,
  `BlogUrl` VARCHAR(255) NULL ,
  `EmailAddress` VARCHAR(255) NULL ,
  `LinkedInUrl` VARCHAR(255) NULL ,
  `SkypeAccount` VARCHAR(255) NULL ,
  `TwitterUrl` VARCHAR(255) NULL ,
  `WebsiteUrl` VARCHAR(255) NULL ,
  PRIMARY KEY (`Id`) )
ENGINE = InnoDB;



SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;

-- -----------------------------------------------------
-- Data for table `Contact`
-- -----------------------------------------------------
SET AUTOCOMMIT=0;
USE `w4jarticle`;
INSERT INTO Contact (`Id`, `FirstName`, `LastName`, `WorkPhone`, `MobilePhone`, `BlogUrl`, `EmailAddress`, `LinkedInUrl`, `SkypeAccount`, `TwitterUrl`, `WebsiteUrl`) VALUES (NULL, 'Ken', 'Nelson', '(949) 533-2536', '(949) 533-2536', 'http://sanclementetech.com/site/kens-blog/', 'ken@sanclementetech.com', 'http://www.linkedin.com/in/sanclementetech', 'sanclementetech', 'http://twitter.com/sanclementetech', 'http://www.sanclementetech.com');
INSERT INTO Contact (`Id`, `FirstName`, `LastName`, `WorkPhone`, `MobilePhone`, `BlogUrl`, `EmailAddress`, `LinkedInUrl`, `SkypeAccount`, `TwitterUrl`, `WebsiteUrl`) VALUES (NULL, 'Kathleen', 'Erickson', NULL, NULL, 'http://mcoderkat.wordpress.com/', NULL, 'http://www.linkedin.com/in/kathleenerickson', NULL, 'http://twitter.com/mcoderkat1', 'http://www.themidnightcoders.com');
INSERT INTO Contact (`Id`, `FirstName`, `LastName`, `WorkPhone`, `MobilePhone`, `BlogUrl`, `EmailAddress`, `LinkedInUrl`, `SkypeAccount`, `TwitterUrl`, `WebsiteUrl`) VALUES (NULL, 'Mark', 'Piller', NULL, NULL, 'http://blog.themidnightcoders.com/', NULL, 'http://www.linkedin.com/in/markpiller', NULL, NULL, 'http://www.themidnighcoders.com');

COMMIT;
